xcb_fill_poly(3)

NAME
xcb_fill_poly -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_fill_poly(xcb_connection_t *conn, xcb_drawable_t drawable, xcb_gcontext_t gc, uint8_t shape, uint8_t coordinate_mode, uint32_t points_len, const xcb_point_t *points);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    TODO: NOT YET DOCUMENTED.

gc  TODO: NOT YET DOCUMENTED.

shape
    One of the following values:

    XCB_POLY_SHAPE_COMPLEX
        TODO: NOT YET DOCUMENTED.

    XCB_POLY_SHAPE_NONCONVEX
        TODO: NOT YET DOCUMENTED.

    XCB_POLY_SHAPE_CONVEX
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

coordinate_mode
    One of the following values:

    XCB_COORD_MODE_ORIGIN
        Treats all coordinates as relative to the origin.

    XCB_COORD_MODE_PREVIOUS
        Treats all coordinates after the first as relative to the previous coordinate.
    TODO: NOT YET DOCUMENTED.

points_len
    One of the following values:

    XCB_COORD_MODE_ORIGIN
        Treats all coordinates as relative to the origin.

    XCB_COORD_MODE_PREVIOUS
        Treats all coordinates after the first as relative to the previous coordinate.
    TODO: NOT YET DOCUMENTED.

points
    One of the following values:

    XCB_COORD_MODE_ORIGIN
        Treats all coordinates as relative to the origin.

    XCB_COORD_MODE_PREVIOUS
        Treats all coordinates after the first as relative to the previous coordinate.
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_fill_poly_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.